# plot-lab

    Work in Progress

An ambitious attempt to provide mathematica like dynamic plotting for free.

* Written in haskell.
* Based on plot ([hackage](http://hackage.haskell.org/package/plot)) ([github](https://github.com/amcphail/plot)).
* GUI written using gtk2hs (using [gtk](http://hackage.haskell.org/package/gtk)).
* GUI designed using glade.
* Also available at [hackage](http://hackage.haskell.org/package/plot-lab).

## Installation

### Linux

The installation for gtk requires that [gtk2hs-buildtools](https://hackage.haskell.org/package/gtk2hs-buildtools) be installed, and the binary be in your $PATH.
The below commands take care of that, without permanently changing the $PATH.

```
$ cabal update
$ cabal install gtk2hs-buildtools
$ env PATH="~/.cabal/bin:$PATH" cabal install plot-lab
```

### Windows

* Install gtk2hs with instructions from [here](http://projects.haskell.org/gtk2hs/download/#Windows).

* Then use cabal to install plot-lab.

```batch
cmd> cabal install plot-lab
```

## Usage

The window displays the sum of two gaussian distributions with sliders for mean and std. deviation.
The plan is to add custom function input facilities and make it more interactive.

The package is too raw to be used with custom functions right now. Those with haskell knowledge might be able to make changes and get what they want.
